1. API
  2. Cases
  3. Case templates

Case templates: List

Description

Retrieve a list of case templates for a team.

Request

HTTP Method: GET

Query Parameter Description
team_id Required Return case templates belonging to this team.
search Optional A string that searches against case template name.
per_page Optional Set the number of results returned per page. Defaults to 20, maximum is 100.
page Optional Specify the page of results to return if there are multiple pages. Defaults to page 1.
curl -X GET \
  https://<tenant-domain>/api/v1/case_templates?team_id=<<team_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'

Response

A successful request will return a JSON object containing the case templates the requesting token has access to.

Field description

Parameter Description
id The case template ID.
name The case template name.
emoji The emoji associated with the case template.
team The team the case template belongs to - ID and name.
created_at ISO 8601 timestamp representing the date and time the case template was created.
updated_at ISO 8601 timestamp representing the date and time the case template was updated.

Sample response

{
  "case_templates": [
    {
      "id": 12,
      "name": "Phishing investigation",
      "emoji": "🎣",
      "team": {
        "id": 2,
        "name": "Team 1"
      },
      "created_at": "2026-05-25T10:00:00Z",
      "updated_at": "2026-05-25T10:00:00Z"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/case_templates?team_id=2&per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
Was this helpful?